Bug 182422 - databases/py-psycopg2 reports pyc and pyo incorrectly
Summary: databases/py-psycopg2 reports pyc and pyo incorrectly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-26 22:30 UTC by Eir Nym
Modified: 2014-01-26 23:40 UTC (History)
0 users

See Also:


Attachments
file.txt (14.12 KB, text/plain)
2013-09-26 22:30 UTC, Eir Nym
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eir Nym 2013-09-26 22:30:00 UTC
Py-psycog2 compiles python bytecode but pkg(1) can't find these files while installation

Fix: Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/databases/py-psycog2 && make install
Comment 1 Edwin Groothuis freebsd_committer 2013-09-27 04:03:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2014-01-07 04:15:54 UTC
Responsible Changed
From-To: miwi->freebsd-port-bugs

back to pool
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2014-01-26 23:31:57 UTC
Responsible Changed
From-To: freebsd-port-bugs->rm

I will take it.
Comment 4 dfilter service freebsd_committer 2014-01-26 23:32:13 UTC
Author: rm
Date: Sun Jan 26 23:32:05 2014
New Revision: 341308
URL: http://svnweb.freebsd.org/changeset/ports/341308
QAT: https://qat.redports.org/buildarchive/r341308/

Log:
  - convert to autogenerated packing list to fix python3 packaging
  - simplify DOCS and EXAMPLES installation
  
  PR:		182422
  Reported by:	    Arseny Nasokin <eirnym@gmail.com>
  Approved by:	miwi (maintainer, by email)

Deleted:
  head/databases/py-psycopg2/pkg-plist
Modified:
  head/databases/py-psycopg2/Makefile
  head/databases/py-psycopg2/pkg-descr

Modified: head/databases/py-psycopg2/Makefile
==============================================================================
--- head/databases/py-psycopg2/Makefile	Sun Jan 26 23:31:22 2014	(r341307)
+++ head/databases/py-psycopg2/Makefile	Sun Jan 26 23:32:05 2014	(r341308)
@@ -1,4 +1,4 @@
-# Created by: Martin Wilke 	<miwi@FreeBSD.org>
+# Created by: Martin Wilke <miwi@FreeBSD.org>
 # $FreeBSD$
 
 PORTNAME=	psycopg2
@@ -9,35 +9,28 @@ MASTER_SITES=	http://initd.org/psycopg/t
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
 MAINTAINER=	miwi@FreeBSD.org
-COMMENT=	The high performance Python adapter for PostgreSQL
+COMMENT=	High performance Python adapter for PostgreSQL
 
-USE_PGSQL=	yes
-# Python3 ready
-USE_PYTHON=	yes
+USE_PGSQL=		yes
+USE_PYTHON=		yes
 USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
 
 DOCSDIR=	${PREFIX}/share/doc/py-psycopg2
 EXAMPLESDIR=	${PREFIX}/share/examples/py-psycopg2
 
-EXAMPLES=	binary.py copy_from.py copy_to.py cursor.py dialtone.py \
+PORTEXAMPLES=	binary.py copy_from.py copy_to.py cursor.py dialtone.py \
 		dict.py dt.py encoding.py fetch.py lastrowid.py lobject.py \
 		mogrify.py myfirstrecipe.py notify.py simple.py somehackers.jpg \
 		threads.py typecast.py tz.py usercast.py whereareyou.jpg
 
-DOCS=		AUTHORS INSTALL README NEWS PKG-INFO
+PORTDOCS=	AUTHORS INSTALL README NEWS PKG-INFO
 
 post-install:
-.if !defined(NOPORTEXAMPLES)
 	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
-.for f in ${EXAMPLES}
-	@${INSTALL_DATA} ${WRKSRC}/examples/${f} ${STAGEDIR}${EXAMPLESDIR}
-.endfor
-.endif
-.if !defined(NOPORTDOCS)
+	${INSTALL_DATA} ${PORTEXAMPLES:S,^,${WRKSRC}/examples/,} ${STAGEDIR}${EXAMPLESDIR}
+
 	@${MKDIR} ${STAGEDIR}${DOCSDIR}
-.for f in ${DOCS}
-	@${INSTALL_DATA} ${WRKSRC}/${f} ${STAGEDIR}${DOCSDIR}
-.endfor
-.endif
+	${INSTALL_DATA} ${PORTDOCS:S,^,${WRKSRC}/,} ${STAGEDIR}${DOCSDIR}
 
 .include <bsd.port.mk>

Modified: head/databases/py-psycopg2/pkg-descr
==============================================================================
--- head/databases/py-psycopg2/pkg-descr	Sun Jan 26 23:31:22 2014	(r341307)
+++ head/databases/py-psycopg2/pkg-descr	Sun Jan 26 23:32:05 2014	(r341308)
@@ -11,4 +11,4 @@ be opened; instead one of the unused con
 makes psycopg very fast in typical client-server applications that create a
 servicing thread every time a client request arrives.
 
-WWW:	http://initd.org/psycopg
+WWW: http://initd.org/psycopg/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2014-01-26 23:32:35 UTC
State Changed
From-To: open->closed

Packaging with python3 is now fixed.